1. Packages
  2. Oracle Cloud Infrastructure
  3. API Docs
  4. Identity
  5. getDomainsIdentityProofingProviders
Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi
oci logo
Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi

    This data source provides the list of Identity Proofing Providers in Oracle Cloud Infrastructure Identity Domains service.

    Search IdentityProofingProvider.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testIdentityProofingProviders = oci.Identity.getDomainsIdentityProofingProviders({
        idcsEndpoint: testDomain.url,
        identityProofingProviderCount: identityProofingProviderIdentityProofingProviderCount,
        identityProofingProviderFilter: identityProofingProviderIdentityProofingProviderFilter,
        attributeSets: ["all"],
        attributes: "",
        authorization: identityProofingProviderAuthorization,
        resourceTypeSchemaVersion: identityProofingProviderResourceTypeSchemaVersion,
        startIndex: identityProofingProviderStartIndex,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_identity_proofing_providers = oci.Identity.get_domains_identity_proofing_providers(idcs_endpoint=test_domain["url"],
        identity_proofing_provider_count=identity_proofing_provider_identity_proofing_provider_count,
        identity_proofing_provider_filter=identity_proofing_provider_identity_proofing_provider_filter,
        attribute_sets=["all"],
        attributes="",
        authorization=identity_proofing_provider_authorization,
        resource_type_schema_version=identity_proofing_provider_resource_type_schema_version,
        start_index=identity_proofing_provider_start_index)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/identity"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := identity.GetDomainsIdentityProofingProviders(ctx, &identity.GetDomainsIdentityProofingProvidersArgs{
    			IdcsEndpoint:                   testDomain.Url,
    			IdentityProofingProviderCount:  pulumi.IntRef(identityProofingProviderIdentityProofingProviderCount),
    			IdentityProofingProviderFilter: pulumi.StringRef(identityProofingProviderIdentityProofingProviderFilter),
    			AttributeSets: []string{
    				"all",
    			},
    			Attributes:                pulumi.StringRef(""),
    			Authorization:             pulumi.StringRef(identityProofingProviderAuthorization),
    			ResourceTypeSchemaVersion: pulumi.StringRef(identityProofingProviderResourceTypeSchemaVersion),
    			StartIndex:                pulumi.IntRef(identityProofingProviderStartIndex),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testIdentityProofingProviders = Oci.Identity.GetDomainsIdentityProofingProviders.Invoke(new()
        {
            IdcsEndpoint = testDomain.Url,
            IdentityProofingProviderCount = identityProofingProviderIdentityProofingProviderCount,
            IdentityProofingProviderFilter = identityProofingProviderIdentityProofingProviderFilter,
            AttributeSets = new[]
            {
                "all",
            },
            Attributes = "",
            Authorization = identityProofingProviderAuthorization,
            ResourceTypeSchemaVersion = identityProofingProviderResourceTypeSchemaVersion,
            StartIndex = identityProofingProviderStartIndex,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.Identity.IdentityFunctions;
    import com.pulumi.oci.Identity.inputs.GetDomainsIdentityProofingProvidersArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testIdentityProofingProviders = IdentityFunctions.getDomainsIdentityProofingProviders(GetDomainsIdentityProofingProvidersArgs.builder()
                .idcsEndpoint(testDomain.url())
                .identityProofingProviderCount(identityProofingProviderIdentityProofingProviderCount)
                .identityProofingProviderFilter(identityProofingProviderIdentityProofingProviderFilter)
                .attributeSets("all")
                .attributes("")
                .authorization(identityProofingProviderAuthorization)
                .resourceTypeSchemaVersion(identityProofingProviderResourceTypeSchemaVersion)
                .startIndex(identityProofingProviderStartIndex)
                .build());
    
        }
    }
    
    variables:
      testIdentityProofingProviders:
        fn::invoke:
          function: oci:Identity:getDomainsIdentityProofingProviders
          arguments:
            idcsEndpoint: ${testDomain.url}
            identityProofingProviderCount: ${identityProofingProviderIdentityProofingProviderCount}
            identityProofingProviderFilter: ${identityProofingProviderIdentityProofingProviderFilter}
            attributeSets:
              - all
            attributes: ""
            authorization: ${identityProofingProviderAuthorization}
            resourceTypeSchemaVersion: ${identityProofingProviderResourceTypeSchemaVersion}
            startIndex: ${identityProofingProviderStartIndex}
    

    Using getDomainsIdentityProofingProviders

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getDomainsIdentityProofingProviders(args: GetDomainsIdentityProofingProvidersArgs, opts?: InvokeOptions): Promise<GetDomainsIdentityProofingProvidersResult>
    function getDomainsIdentityProofingProvidersOutput(args: GetDomainsIdentityProofingProvidersOutputArgs, opts?: InvokeOptions): Output<GetDomainsIdentityProofingProvidersResult>
    def get_domains_identity_proofing_providers(attribute_sets: Optional[Sequence[str]] = None,
                                                attributes: Optional[str] = None,
                                                authorization: Optional[str] = None,
                                                compartment_id: Optional[str] = None,
                                                idcs_endpoint: Optional[str] = None,
                                                identity_proofing_provider_count: Optional[int] = None,
                                                identity_proofing_provider_filter: Optional[str] = None,
                                                resource_type_schema_version: Optional[str] = None,
                                                sort_by: Optional[str] = None,
                                                sort_order: Optional[str] = None,
                                                start_index: Optional[int] = None,
                                                opts: Optional[InvokeOptions] = None) -> GetDomainsIdentityProofingProvidersResult
    def get_domains_identity_proofing_providers_output(attribute_sets: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
                                                attributes: Optional[pulumi.Input[str]] = None,
                                                authorization: Optional[pulumi.Input[str]] = None,
                                                compartment_id: Optional[pulumi.Input[str]] = None,
                                                idcs_endpoint: Optional[pulumi.Input[str]] = None,
                                                identity_proofing_provider_count: Optional[pulumi.Input[int]] = None,
                                                identity_proofing_provider_filter: Optional[pulumi.Input[str]] = None,
                                                resource_type_schema_version: Optional[pulumi.Input[str]] = None,
                                                sort_by: Optional[pulumi.Input[str]] = None,
                                                sort_order: Optional[pulumi.Input[str]] = None,
                                                start_index: Optional[pulumi.Input[int]] = None,
                                                opts: Optional[InvokeOptions] = None) -> Output[GetDomainsIdentityProofingProvidersResult]
    func GetDomainsIdentityProofingProviders(ctx *Context, args *GetDomainsIdentityProofingProvidersArgs, opts ...InvokeOption) (*GetDomainsIdentityProofingProvidersResult, error)
    func GetDomainsIdentityProofingProvidersOutput(ctx *Context, args *GetDomainsIdentityProofingProvidersOutputArgs, opts ...InvokeOption) GetDomainsIdentityProofingProvidersResultOutput

    > Note: This function is named GetDomainsIdentityProofingProviders in the Go SDK.

    public static class GetDomainsIdentityProofingProviders 
    {
        public static Task<GetDomainsIdentityProofingProvidersResult> InvokeAsync(GetDomainsIdentityProofingProvidersArgs args, InvokeOptions? opts = null)
        public static Output<GetDomainsIdentityProofingProvidersResult> Invoke(GetDomainsIdentityProofingProvidersInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetDomainsIdentityProofingProvidersResult> getDomainsIdentityProofingProviders(GetDomainsIdentityProofingProvidersArgs args, InvokeOptions options)
    public static Output<GetDomainsIdentityProofingProvidersResult> getDomainsIdentityProofingProviders(GetDomainsIdentityProofingProvidersArgs args, InvokeOptions options)
    
    fn::invoke:
      function: oci:Identity/getDomainsIdentityProofingProviders:getDomainsIdentityProofingProviders
      arguments:
        # arguments dictionary

    The following arguments are supported:

    IdcsEndpoint string
    The basic endpoint for the identity domain
    AttributeSets List<string>
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    Attributes string
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    Authorization string
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    CompartmentId string
    IdentityProofingProviderCount int
    OPTIONAL. An integer that indicates the desired maximum number of query results per page. 1000 is the largest value that you can use. See the Pagination section of the System for Cross-Domain Identity Management Protocol specification for more information. (Section 3.4.2.4).
    IdentityProofingProviderFilter string
    OPTIONAL. The filter string that is used to request a subset of resources. The filter string MUST be a valid filter expression. See the Filtering section of the SCIM specification for more information (Section 3.4.2.2). The string should contain at least one condition that each item must match in order to be returned in the search results. Each condition specifies an attribute, an operator, and a value. Conditions within a filter can be connected by logical operators (such as AND and OR). Sets of conditions can be grouped together using parentheses.
    ResourceTypeSchemaVersion string
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    SortBy string
    SortOrder string
    StartIndex int
    OPTIONAL. An integer that indicates the 1-based index of the first query result. See the Pagination section of the SCIM specification for more information. (Section 3.4.2.4). The number of results pages to return. The first page is 1. Specify 2 to access the second page of results, and so on.
    IdcsEndpoint string
    The basic endpoint for the identity domain
    AttributeSets []string
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    Attributes string
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    Authorization string
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    CompartmentId string
    IdentityProofingProviderCount int
    OPTIONAL. An integer that indicates the desired maximum number of query results per page. 1000 is the largest value that you can use. See the Pagination section of the System for Cross-Domain Identity Management Protocol specification for more information. (Section 3.4.2.4).
    IdentityProofingProviderFilter string
    OPTIONAL. The filter string that is used to request a subset of resources. The filter string MUST be a valid filter expression. See the Filtering section of the SCIM specification for more information (Section 3.4.2.2). The string should contain at least one condition that each item must match in order to be returned in the search results. Each condition specifies an attribute, an operator, and a value. Conditions within a filter can be connected by logical operators (such as AND and OR). Sets of conditions can be grouped together using parentheses.
    ResourceTypeSchemaVersion string
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    SortBy string
    SortOrder string
    StartIndex int
    OPTIONAL. An integer that indicates the 1-based index of the first query result. See the Pagination section of the SCIM specification for more information. (Section 3.4.2.4). The number of results pages to return. The first page is 1. Specify 2 to access the second page of results, and so on.
    idcsEndpoint String
    The basic endpoint for the identity domain
    attributeSets List<String>
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    attributes String
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    authorization String
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    compartmentId String
    identityProofingProviderCount Integer
    OPTIONAL. An integer that indicates the desired maximum number of query results per page. 1000 is the largest value that you can use. See the Pagination section of the System for Cross-Domain Identity Management Protocol specification for more information. (Section 3.4.2.4).
    identityProofingProviderFilter String
    OPTIONAL. The filter string that is used to request a subset of resources. The filter string MUST be a valid filter expression. See the Filtering section of the SCIM specification for more information (Section 3.4.2.2). The string should contain at least one condition that each item must match in order to be returned in the search results. Each condition specifies an attribute, an operator, and a value. Conditions within a filter can be connected by logical operators (such as AND and OR). Sets of conditions can be grouped together using parentheses.
    resourceTypeSchemaVersion String
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    sortBy String
    sortOrder String
    startIndex Integer
    OPTIONAL. An integer that indicates the 1-based index of the first query result. See the Pagination section of the SCIM specification for more information. (Section 3.4.2.4). The number of results pages to return. The first page is 1. Specify 2 to access the second page of results, and so on.
    idcsEndpoint string
    The basic endpoint for the identity domain
    attributeSets string[]
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    attributes string
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    authorization string
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    compartmentId string
    identityProofingProviderCount number
    OPTIONAL. An integer that indicates the desired maximum number of query results per page. 1000 is the largest value that you can use. See the Pagination section of the System for Cross-Domain Identity Management Protocol specification for more information. (Section 3.4.2.4).
    identityProofingProviderFilter string
    OPTIONAL. The filter string that is used to request a subset of resources. The filter string MUST be a valid filter expression. See the Filtering section of the SCIM specification for more information (Section 3.4.2.2). The string should contain at least one condition that each item must match in order to be returned in the search results. Each condition specifies an attribute, an operator, and a value. Conditions within a filter can be connected by logical operators (such as AND and OR). Sets of conditions can be grouped together using parentheses.
    resourceTypeSchemaVersion string
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    sortBy string
    sortOrder string
    startIndex number
    OPTIONAL. An integer that indicates the 1-based index of the first query result. See the Pagination section of the SCIM specification for more information. (Section 3.4.2.4). The number of results pages to return. The first page is 1. Specify 2 to access the second page of results, and so on.
    idcs_endpoint str
    The basic endpoint for the identity domain
    attribute_sets Sequence[str]
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    attributes str
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    authorization str
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    compartment_id str
    identity_proofing_provider_count int
    OPTIONAL. An integer that indicates the desired maximum number of query results per page. 1000 is the largest value that you can use. See the Pagination section of the System for Cross-Domain Identity Management Protocol specification for more information. (Section 3.4.2.4).
    identity_proofing_provider_filter str
    OPTIONAL. The filter string that is used to request a subset of resources. The filter string MUST be a valid filter expression. See the Filtering section of the SCIM specification for more information (Section 3.4.2.2). The string should contain at least one condition that each item must match in order to be returned in the search results. Each condition specifies an attribute, an operator, and a value. Conditions within a filter can be connected by logical operators (such as AND and OR). Sets of conditions can be grouped together using parentheses.
    resource_type_schema_version str
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    sort_by str
    sort_order str
    start_index int
    OPTIONAL. An integer that indicates the 1-based index of the first query result. See the Pagination section of the SCIM specification for more information. (Section 3.4.2.4). The number of results pages to return. The first page is 1. Specify 2 to access the second page of results, and so on.
    idcsEndpoint String
    The basic endpoint for the identity domain
    attributeSets List<String>
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    attributes String
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    authorization String
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    compartmentId String
    identityProofingProviderCount Number
    OPTIONAL. An integer that indicates the desired maximum number of query results per page. 1000 is the largest value that you can use. See the Pagination section of the System for Cross-Domain Identity Management Protocol specification for more information. (Section 3.4.2.4).
    identityProofingProviderFilter String
    OPTIONAL. The filter string that is used to request a subset of resources. The filter string MUST be a valid filter expression. See the Filtering section of the SCIM specification for more information (Section 3.4.2.2). The string should contain at least one condition that each item must match in order to be returned in the search results. Each condition specifies an attribute, an operator, and a value. Conditions within a filter can be connected by logical operators (such as AND and OR). Sets of conditions can be grouped together using parentheses.
    resourceTypeSchemaVersion String
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    sortBy String
    sortOrder String
    startIndex Number
    OPTIONAL. An integer that indicates the 1-based index of the first query result. See the Pagination section of the SCIM specification for more information. (Section 3.4.2.4). The number of results pages to return. The first page is 1. Specify 2 to access the second page of results, and so on.

    getDomainsIdentityProofingProviders Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    IdcsEndpoint string
    IdentityProofingProviders List<GetDomainsIdentityProofingProvidersIdentityProofingProvider>
    The list of identity_proofing_providers.
    ItemsPerPage int
    Schemas List<string>
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    TotalResults int
    AttributeSets List<string>
    Attributes string
    Authorization string
    CompartmentId string
    IdentityProofingProviderCount int
    IdentityProofingProviderFilter string
    ResourceTypeSchemaVersion string
    SortBy string
    SortOrder string
    StartIndex int
    Id string
    The provider-assigned unique ID for this managed resource.
    IdcsEndpoint string
    IdentityProofingProviders []GetDomainsIdentityProofingProvidersIdentityProofingProvider
    The list of identity_proofing_providers.
    ItemsPerPage int
    Schemas []string
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    TotalResults int
    AttributeSets []string
    Attributes string
    Authorization string
    CompartmentId string
    IdentityProofingProviderCount int
    IdentityProofingProviderFilter string
    ResourceTypeSchemaVersion string
    SortBy string
    SortOrder string
    StartIndex int
    id String
    The provider-assigned unique ID for this managed resource.
    idcsEndpoint String
    identityProofingProviders List<GetDomainsProofingProvidersProofingProvider>
    The list of identity_proofing_providers.
    itemsPerPage Integer
    schemas List<String>
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    totalResults Integer
    attributeSets List<String>
    attributes String
    authorization String
    compartmentId String
    identityProofingProviderCount Integer
    identityProofingProviderFilter String
    resourceTypeSchemaVersion String
    sortBy String
    sortOrder String
    startIndex Integer
    id string
    The provider-assigned unique ID for this managed resource.
    idcsEndpoint string
    identityProofingProviders GetDomainsIdentityProofingProvidersIdentityProofingProvider[]
    The list of identity_proofing_providers.
    itemsPerPage number
    schemas string[]
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    totalResults number
    attributeSets string[]
    attributes string
    authorization string
    compartmentId string
    identityProofingProviderCount number
    identityProofingProviderFilter string
    resourceTypeSchemaVersion string
    sortBy string
    sortOrder string
    startIndex number
    id str
    The provider-assigned unique ID for this managed resource.
    idcs_endpoint str
    identity_proofing_providers Sequence[GetDomainsIdentityProofingProvidersIdentityProofingProvider]
    The list of identity_proofing_providers.
    items_per_page int
    schemas Sequence[str]
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    total_results int
    attribute_sets Sequence[str]
    attributes str
    authorization str
    compartment_id str
    identity_proofing_provider_count int
    identity_proofing_provider_filter str
    resource_type_schema_version str
    sort_by str
    sort_order str
    start_index int
    id String
    The provider-assigned unique ID for this managed resource.
    idcsEndpoint String
    identityProofingProviders List<Property Map>
    The list of identity_proofing_providers.
    itemsPerPage Number
    schemas List<String>
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    totalResults Number
    attributeSets List<String>
    attributes String
    authorization String
    compartmentId String
    identityProofingProviderCount Number
    identityProofingProviderFilter String
    resourceTypeSchemaVersion String
    sortBy String
    sortOrder String
    startIndex Number

    Supporting Types

    GetDomainsIdentityProofingProvidersIdentityProofingProvider

    AttributeSets List<string>
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    Attributes string
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    Authorization string
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    ClaimMappings List<GetDomainsIdentityProofingProvidersIdentityProofingProviderClaimMapping>
    Configure the verification claims and IAM Domain user attribute mapping.
    CompartmentOcid string
    Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
    Configurations List<GetDomainsIdentityProofingProvidersIdentityProofingProviderConfiguration>
    Configure the verification provider.
    DeleteInProgress bool
    A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
    Description string
    Description field to add comments and additional information about the Identity Proofing Provider.
    DomainOcid string
    Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
    Id string
    Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
    IdcsCreatedBies List<GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsCreatedBy>
    The User or App who created the Resource
    IdcsEndpoint string
    The basic endpoint for the identity domain
    IdcsLastModifiedBies List<GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsLastModifiedBy>
    The User or App who modified the Resource
    IdcsLastUpgradedInRelease string
    The release number when the resource was upgraded.
    IdcsLockedBies List<GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsLockedBy>
    The User or App who locked the Resource.
    IdcsLockedOn string
    The most recent DateTime the resource was locked.
    IdcsLockedOperations List<string>
    Operations that are locked on the resource.
    IdcsPreventedOperations List<string>
    Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
    IdentityProofingProviderProvider string
    The Identity Proofing Provider.
    Metas List<GetDomainsIdentityProofingProvidersIdentityProofingProviderMeta>
    A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
    Name string
    Name of the Identity Proofing Provider.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    ResourceTypeSchemaVersion string
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    RuntimeDatas List<GetDomainsIdentityProofingProvidersIdentityProofingProviderRuntimeData>
    Identity Proofing runtime custom data.
    Schemas List<string>
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    Status string
    Status of the Identity Proofing Provider.
    TenancyOcid string
    Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
    AttributeSets []string
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    Attributes string
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    Authorization string
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    ClaimMappings []GetDomainsIdentityProofingProvidersIdentityProofingProviderClaimMapping
    Configure the verification claims and IAM Domain user attribute mapping.
    CompartmentOcid string
    Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
    Configurations []GetDomainsIdentityProofingProvidersIdentityProofingProviderConfiguration
    Configure the verification provider.
    DeleteInProgress bool
    A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
    Description string
    Description field to add comments and additional information about the Identity Proofing Provider.
    DomainOcid string
    Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
    Id string
    Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
    IdcsCreatedBies []GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsCreatedBy
    The User or App who created the Resource
    IdcsEndpoint string
    The basic endpoint for the identity domain
    IdcsLastModifiedBies []GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsLastModifiedBy
    The User or App who modified the Resource
    IdcsLastUpgradedInRelease string
    The release number when the resource was upgraded.
    IdcsLockedBies []GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsLockedBy
    The User or App who locked the Resource.
    IdcsLockedOn string
    The most recent DateTime the resource was locked.
    IdcsLockedOperations []string
    Operations that are locked on the resource.
    IdcsPreventedOperations []string
    Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
    IdentityProofingProviderProvider string
    The Identity Proofing Provider.
    Metas []GetDomainsIdentityProofingProvidersIdentityProofingProviderMeta
    A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
    Name string
    Name of the Identity Proofing Provider.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    ResourceTypeSchemaVersion string
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    RuntimeDatas []GetDomainsIdentityProofingProvidersIdentityProofingProviderRuntimeData
    Identity Proofing runtime custom data.
    Schemas []string
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    Status string
    Status of the Identity Proofing Provider.
    TenancyOcid string
    Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
    attributeSets List<String>
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    attributes String
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    authorization String
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    claimMappings List<GetDomainsProofingProvidersProofingProviderClaimMapping>
    Configure the verification claims and IAM Domain user attribute mapping.
    compartmentOcid String
    Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
    configurations List<GetDomainsProofingProvidersProofingProviderConfiguration>
    Configure the verification provider.
    deleteInProgress Boolean
    A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
    description String
    Description field to add comments and additional information about the Identity Proofing Provider.
    domainOcid String
    Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
    id String
    Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
    idcsCreatedBies List<GetDomainsProofingProvidersProofingProviderIdcsCreatedBy>
    The User or App who created the Resource
    idcsEndpoint String
    The basic endpoint for the identity domain
    idcsLastModifiedBies List<GetDomainsProofingProvidersProofingProviderIdcsLastModifiedBy>
    The User or App who modified the Resource
    idcsLastUpgradedInRelease String
    The release number when the resource was upgraded.
    idcsLockedBies List<GetDomainsProofingProvidersProofingProviderIdcsLockedBy>
    The User or App who locked the Resource.
    idcsLockedOn String
    The most recent DateTime the resource was locked.
    idcsLockedOperations List<String>
    Operations that are locked on the resource.
    idcsPreventedOperations List<String>
    Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
    identityProofingProviderProvider String
    The Identity Proofing Provider.
    metas List<GetDomainsProofingProvidersProofingProviderMeta>
    A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
    name String
    Name of the Identity Proofing Provider.
    ocid String
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    resourceTypeSchemaVersion String
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    runtimeDatas List<GetDomainsProofingProvidersProofingProviderRuntimeData>
    Identity Proofing runtime custom data.
    schemas List<String>
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    status String
    Status of the Identity Proofing Provider.
    tenancyOcid String
    Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
    attributeSets string[]
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    attributes string
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    authorization string
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    claimMappings GetDomainsIdentityProofingProvidersIdentityProofingProviderClaimMapping[]
    Configure the verification claims and IAM Domain user attribute mapping.
    compartmentOcid string
    Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
    configurations GetDomainsIdentityProofingProvidersIdentityProofingProviderConfiguration[]
    Configure the verification provider.
    deleteInProgress boolean
    A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
    description string
    Description field to add comments and additional information about the Identity Proofing Provider.
    domainOcid string
    Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
    id string
    Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
    idcsCreatedBies GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsCreatedBy[]
    The User or App who created the Resource
    idcsEndpoint string
    The basic endpoint for the identity domain
    idcsLastModifiedBies GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsLastModifiedBy[]
    The User or App who modified the Resource
    idcsLastUpgradedInRelease string
    The release number when the resource was upgraded.
    idcsLockedBies GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsLockedBy[]
    The User or App who locked the Resource.
    idcsLockedOn string
    The most recent DateTime the resource was locked.
    idcsLockedOperations string[]
    Operations that are locked on the resource.
    idcsPreventedOperations string[]
    Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
    identityProofingProviderProvider string
    The Identity Proofing Provider.
    metas GetDomainsIdentityProofingProvidersIdentityProofingProviderMeta[]
    A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
    name string
    Name of the Identity Proofing Provider.
    ocid string
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    resourceTypeSchemaVersion string
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    runtimeDatas GetDomainsIdentityProofingProvidersIdentityProofingProviderRuntimeData[]
    Identity Proofing runtime custom data.
    schemas string[]
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    status string
    Status of the Identity Proofing Provider.
    tenancyOcid string
    Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
    attribute_sets Sequence[str]
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    attributes str
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    authorization str
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    claim_mappings Sequence[GetDomainsIdentityProofingProvidersIdentityProofingProviderClaimMapping]
    Configure the verification claims and IAM Domain user attribute mapping.
    compartment_ocid str
    Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
    configurations Sequence[GetDomainsIdentityProofingProvidersIdentityProofingProviderConfiguration]
    Configure the verification provider.
    delete_in_progress bool
    A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
    description str
    Description field to add comments and additional information about the Identity Proofing Provider.
    domain_ocid str
    Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
    id str
    Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
    idcs_created_bies Sequence[GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsCreatedBy]
    The User or App who created the Resource
    idcs_endpoint str
    The basic endpoint for the identity domain
    idcs_last_modified_bies Sequence[GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsLastModifiedBy]
    The User or App who modified the Resource
    idcs_last_upgraded_in_release str
    The release number when the resource was upgraded.
    idcs_locked_bies Sequence[GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsLockedBy]
    The User or App who locked the Resource.
    idcs_locked_on str
    The most recent DateTime the resource was locked.
    idcs_locked_operations Sequence[str]
    Operations that are locked on the resource.
    idcs_prevented_operations Sequence[str]
    Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
    identity_proofing_provider_provider str
    The Identity Proofing Provider.
    metas Sequence[GetDomainsIdentityProofingProvidersIdentityProofingProviderMeta]
    A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
    name str
    Name of the Identity Proofing Provider.
    ocid str
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    resource_type_schema_version str
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    runtime_datas Sequence[GetDomainsIdentityProofingProvidersIdentityProofingProviderRuntimeData]
    Identity Proofing runtime custom data.
    schemas Sequence[str]
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    status str
    Status of the Identity Proofing Provider.
    tenancy_ocid str
    Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
    attributeSets List<String>
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    attributes String
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    authorization String
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    claimMappings List<Property Map>
    Configure the verification claims and IAM Domain user attribute mapping.
    compartmentOcid String
    Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
    configurations List<Property Map>
    Configure the verification provider.
    deleteInProgress Boolean
    A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
    description String
    Description field to add comments and additional information about the Identity Proofing Provider.
    domainOcid String
    Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
    id String
    Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
    idcsCreatedBies List<Property Map>
    The User or App who created the Resource
    idcsEndpoint String
    The basic endpoint for the identity domain
    idcsLastModifiedBies List<Property Map>
    The User or App who modified the Resource
    idcsLastUpgradedInRelease String
    The release number when the resource was upgraded.
    idcsLockedBies List<Property Map>
    The User or App who locked the Resource.
    idcsLockedOn String
    The most recent DateTime the resource was locked.
    idcsLockedOperations List<String>
    Operations that are locked on the resource.
    idcsPreventedOperations List<String>
    Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
    identityProofingProviderProvider String
    The Identity Proofing Provider.
    metas List<Property Map>
    A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
    name String
    Name of the Identity Proofing Provider.
    ocid String
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    resourceTypeSchemaVersion String
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    runtimeDatas List<Property Map>
    Identity Proofing runtime custom data.
    schemas List<String>
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    status String
    Status of the Identity Proofing Provider.
    tenancyOcid String
    Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.

    GetDomainsIdentityProofingProvidersIdentityProofingProviderClaimMapping

    AttrMatch string
    Matching attribute.
    VerifiableClaim string
    Verifiable Claims.
    AttrMatch string
    Matching attribute.
    VerifiableClaim string
    Verifiable Claims.
    attrMatch String
    Matching attribute.
    verifiableClaim String
    Verifiable Claims.
    attrMatch string
    Matching attribute.
    verifiableClaim string
    Verifiable Claims.
    attr_match str
    Matching attribute.
    verifiable_claim str
    Verifiable Claims.
    attrMatch String
    Matching attribute.
    verifiableClaim String
    Verifiable Claims.

    GetDomainsIdentityProofingProvidersIdentityProofingProviderConfiguration

    Name string
    Name of the Identity Proofing Provider.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    Name string
    Name of the Identity Proofing Provider.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    name String
    Name of the Identity Proofing Provider.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    name string
    Name of the Identity Proofing Provider.
    value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    name str
    Name of the Identity Proofing Provider.
    value str
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    name String
    Name of the Identity Proofing Provider.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.

    GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsCreatedBy

    Display string
    The displayName of the User or App who locked this Resource.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    Ref string
    Type string
    The type of resource, User or App, that locked this Resource.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    Display string
    The displayName of the User or App who locked this Resource.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    Ref string
    Type string
    The type of resource, User or App, that locked this Resource.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display String
    The displayName of the User or App who locked this Resource.
    ocid String
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    ref String
    type String
    The type of resource, User or App, that locked this Resource.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display string
    The displayName of the User or App who locked this Resource.
    ocid string
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    ref string
    type string
    The type of resource, User or App, that locked this Resource.
    value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display str
    The displayName of the User or App who locked this Resource.
    ocid str
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    ref str
    type str
    The type of resource, User or App, that locked this Resource.
    value str
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display String
    The displayName of the User or App who locked this Resource.
    ocid String
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    ref String
    type String
    The type of resource, User or App, that locked this Resource.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.

    GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsLastModifiedBy

    Display string
    The displayName of the User or App who locked this Resource.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    Ref string
    Type string
    The type of resource, User or App, that locked this Resource.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    Display string
    The displayName of the User or App who locked this Resource.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    Ref string
    Type string
    The type of resource, User or App, that locked this Resource.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display String
    The displayName of the User or App who locked this Resource.
    ocid String
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    ref String
    type String
    The type of resource, User or App, that locked this Resource.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display string
    The displayName of the User or App who locked this Resource.
    ocid string
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    ref string
    type string
    The type of resource, User or App, that locked this Resource.
    value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display str
    The displayName of the User or App who locked this Resource.
    ocid str
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    ref str
    type str
    The type of resource, User or App, that locked this Resource.
    value str
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display String
    The displayName of the User or App who locked this Resource.
    ocid String
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    ref String
    type String
    The type of resource, User or App, that locked this Resource.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.

    GetDomainsIdentityProofingProvidersIdentityProofingProviderIdcsLockedBy

    Display string
    The displayName of the User or App who locked this Resource.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    Type string
    The type of resource, User or App, that locked this Resource.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    _ref string
    The URI of the SCIM resource that represents the User or App who Locked this Resource.
    Display string
    The displayName of the User or App who locked this Resource.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    Type string
    The type of resource, User or App, that locked this Resource.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    _ref string
    The URI of the SCIM resource that represents the User or App who Locked this Resource.
    _ref String
    The URI of the SCIM resource that represents the User or App who Locked this Resource.
    display String
    The displayName of the User or App who locked this Resource.
    ocid String
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    type String
    The type of resource, User or App, that locked this Resource.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    _ref string
    The URI of the SCIM resource that represents the User or App who Locked this Resource.
    display string
    The displayName of the User or App who locked this Resource.
    ocid string
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    type string
    The type of resource, User or App, that locked this Resource.
    value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    _ref str
    The URI of the SCIM resource that represents the User or App who Locked this Resource.
    display str
    The displayName of the User or App who locked this Resource.
    ocid str
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    type str
    The type of resource, User or App, that locked this Resource.
    value str
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    _ref String
    The URI of the SCIM resource that represents the User or App who Locked this Resource.
    display String
    The displayName of the User or App who locked this Resource.
    ocid String
    Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
    type String
    The type of resource, User or App, that locked this Resource.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.

    GetDomainsIdentityProofingProvidersIdentityProofingProviderMeta

    Created string
    The DateTime the Resource was added to the Service Provider
    LastModified string
    The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
    Location string
    The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
    ResourceType string
    Name of the resource type of the resource--for example, Users or Groups
    Version string
    The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
    Created string
    The DateTime the Resource was added to the Service Provider
    LastModified string
    The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
    Location string
    The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
    ResourceType string
    Name of the resource type of the resource--for example, Users or Groups
    Version string
    The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
    created String
    The DateTime the Resource was added to the Service Provider
    lastModified String
    The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
    location String
    The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
    resourceType String
    Name of the resource type of the resource--for example, Users or Groups
    version String
    The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
    created string
    The DateTime the Resource was added to the Service Provider
    lastModified string
    The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
    location string
    The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
    resourceType string
    Name of the resource type of the resource--for example, Users or Groups
    version string
    The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
    created str
    The DateTime the Resource was added to the Service Provider
    last_modified str
    The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
    location str
    The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
    resource_type str
    Name of the resource type of the resource--for example, Users or Groups
    version str
    The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
    created String
    The DateTime the Resource was added to the Service Provider
    lastModified String
    The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
    location String
    The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
    resourceType String
    Name of the resource type of the resource--for example, Users or Groups
    version String
    The version of the Resource being returned. This value must be the same as the ETag HTTP response header.

    GetDomainsIdentityProofingProvidersIdentityProofingProviderRuntimeData

    AttrName string
    Name of the attribute.
    AttrValue string
    Value of the attribute.
    AttrName string
    Name of the attribute.
    AttrValue string
    Value of the attribute.
    attrName String
    Name of the attribute.
    attrValue String
    Value of the attribute.
    attrName string
    Name of the attribute.
    attrValue string
    Value of the attribute.
    attr_name str
    Name of the attribute.
    attr_value str
    Value of the attribute.
    attrName String
    Name of the attribute.
    attrValue String
    Value of the attribute.

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo
    Viewing docs for Oracle Cloud Infrastructure v4.4.0
    published on Thursday, Mar 26, 2026 by Pulumi
      Try Pulumi Cloud free. Your team will thank you.